Get the statuses of multiple cancellations
Returns the statuses of multiple initiated insurance cancellations. This endpoint is paginated and returns a list of statuses based on the selected sort order(default CREATED_AT_DESC), of which the possible values are: CREATED_AT_ASC, CREATED_AT_DESC, UPDATED_AT_ASC, UPDATED_AT_DESC. The default page size is 50 and it can be overriddenusing the 'pageSize' query parameter, up to a max value of 200. The response contains links to both the previous and next pages.
Request
Query Parameters
PREPARATION, CREATED, PENDING, CLOSED, CANCELED, TIMED_OUT, REJECTED or DOCUMENT_ERROR.CREATED_AT_ASC, CREATED_AT_DESC, UPDATED_AT_ASC or UPDATED_AT_DESC.Responses
Statuses successfully fetched.
Body
A list of the cancellation statuses.
Metadata describing the paging information.
Metadata describing the request sort order.
curl https://api.insurely.com/cancellations?statusIn=your-value&collectionIds=your-value&createdAfter=your-value&createdBefore=your-value&updatedAfter=your-value&updatedBefore=your-value&isSigned=your-value&pageSize=your-value&sortBy=CREATED_AT_ASC